<?php 
$entregado = ($v['id_estado_venta'] == 5 ? ' entregado' : '');
$class = $entregado;

// Definir clase por Canal y tipo de venta
// Tienda Física
if ($v['id_canal'] == 2 || $v['id_canal'] == 7) {
	$class .= " venta-presencial"; 
}
// Los Dominicos
if ($v['id_canal'] == 8) {
	$class .= " venta-dominicos"; 
}
// Drugstore
if ($v['id_canal'] == 12) {
	$class .= " venta-drugstore"; 
}
// Mercado Libre
if ($v['id_canal'] == 3) {
	$class .= " venta-mercado-libre"; 
}
// Feria
if ($v['id_canal'] == 4) {
	$class .= " venta-feria"; 
}
// Falabella
if ($v['id_canal'] == 5) {
	$class .= " venta-falabella"; 
}

// Clase por tipo de Documento
// Factura
if ($v['id_tipo_documento'] == 2) {
	$class .= " venta-factura"; 
}
// Nota de Crédito
if ($v['id_tipo_documento'] == 3) {
	$class .= " venta-nota-credito"; 
}
// Merma
if ($v['id_tipo_documento'] == 4) {
	$class .= " venta-merma"; 
}
// Abono
if ($v['id_tipo_documento'] == 6) {
	$class .= " venta-abono"; 
}

?>
<div class="border rounded px-2 py-2 venta<?php echo $class; ?>" id="venta<?php echo $v['id']; ?>">
	<div class="row">
		<div class="col-10 col-md-4">
			<div class="canal-venta">
				<span class="badge badge-pill" data-toggle="tooltip" title="ID Venta" style="background-color: #000; color: #FFF">
					<?php echo $v['id']; ?>
				</span>
				<?php 
					if (!empty($v['ps_id'])) { 
						?>
						<span class="ps-id badge badge-pill" data-toggle="tooltip" title="Ver en PS" style="background-color: <?php echo $estados_ventas[$v['ps_state']]['fondo'];?>; color: <?php echo $estados_ventas[$v['ps_state']]['color'];?>;" data-ps-id="<?php echo $v['ps_id']; ?>">
							<?php echo $v['ps_id']; ?>
						</span>
					<?php 
					}
					else if ($v['id_canal'] == 2) {
						?>
						<span class="badge badge-pill badge-success" data-toggle="tooltip" title="Venta Presencial">Cité Italia</span>
						<?php
					}
					else if ($v['id_canal'] == 3) {
						?>
						<span class="badge badge-pill badge-warning" data-toggle="tooltip" title="Venta en Mercado Libre">ML</span>
						<?php
					}
					else if ($v['id_canal'] == 5) {
						?>
						<span class="badge badge-pill badge-success" data-toggle="tooltip" title="Venta en Falabella">FSC</span>
						<?php
					}
					else if ($v['id_canal'] == 7) {
						?>
						<span class="badge badge-pill badge-success" data-toggle="tooltip" title="Venta Presencial">Italia 1601</span>
						<?php
					}
					else if ($v['id_canal'] == 8) {
						?>
						<span class="badge badge-pill" style="color: #CDDE00; background-color: #000000;" data-toggle="tooltip" title="Venta Presencial">Los Dominicos</span>
						<?php
					}
					else if ($v['id_canal'] == 12) {
						?>
						<span class="badge badge-pill" style="color: #ffffff; background-color: #ffca00;" data-toggle="tooltip" title="Venta Presencial">Drugstore</span>
						<?php
					}

				?>
			</div>
			<div>
				<span class="nombre">
					<?php
						$claseCliente = '';
						if (isset($v['cliente_ps_id'])) {
							$claseCliente = 'sin-registro';
							// Cliente sin cliente se ocnsidera sin registro
							if ($v['cliente_ps_id'] != 0 && $v['id_cliente'] != 184) {
								$claseCliente = 'con-registro';
								if ($v['cliente_newsletter'] == 1) {
									$claseCliente = 'con-suscripcion';
								}
							}
						}
					?>

					<?php echo (!empty($v['id_cliente']) ? '<a class="'. $claseCliente .'"target="_blank" href="/clientes/view/' . $v['id_cliente'] . '">' . $v['cliente_nombre'] . '</a>' : $v['cliente']); ?> 
					<?php 
					if (!empty($v['nuevo_cliente'])) {
						echo '<i class="fas fa-star tt" title="Cliente Nuevo" style="color: #ffc107;"></i>';
					}
					?>
					<?php 
					if (!empty($v['newsletter'])) {
						echo '<i class="fas fa-star tt" title="Suscrito al Newsletter" style="color: #ffc107;"></i>';
					}
					?>
					<?php 
						if (!empty($v['regalo'])) {
							echo '<i class="fas fa-gift"></i>';
						}
					?>
				</span>
				<span class="assigned">
					<?php 
						if (!empty($v['id_asignado'])) {
							echo '[' . $usuarios[$v['id_asignado']] . ']';
						}
					?>
				</span>
			</div>
		</div>
		<div class="col-2 d-md-none text-right">
			<button type="button" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#modalVenta" data-id="<?php echo $v['id']; ?>">
				<i class="fas fa-pencil-alt"></i>
			</button>
		</div>
		<div class="col-12 col-md-3">
			<span class="badge badge-pill badge-primary tt" title="fecha de venta"><?php echo fechaHora($v['fecha_venta']); ?></span>
			<span class="badge badge-pill tt <?php echo empty($v['boleta']) ? 'badge-danger' : 'badge-success'; ?>" title="fecha de boleta"><?php echo fecha($v['fecha_boleta']); ?></span>
		</div>



		<div class="col-12 col-md-5 text-right">
			<?php
				if (!empty($v['id_transportista'])) {
					?>
					<span class="transportista badge badge-pill" style="border-color: <?php echo $transportistas[$v['id_transportista']]['color'];?>; color: <?php echo $transportistas[$v['id_transportista']]['color'];?>;">
						<?php echo $transportistas[$v['id_transportista']]['nombre']; ?>
					</span>
					<?php
				}
				else {
					?>
					<span class="transportista badge badge-pill"></span>
					<?php
				}
				?>
				<?php /*
				<span class="estado-venta badge badge-pill" data-id="<?php echo $v['id']; ?>" style="background-color: <?php echo $estados_ventas[$v['id_estado_venta']]['fondo'];?>; color: <?php echo $estados_ventas[$v['id_estado_venta']]['color'];?>;">
					<?php echo $estados_ventas[$v['id_estado_venta']]['nombre']; ?>
				</span>
				*/ ?> 
				<ul class="estado-venta badge badge-pill estado-venta-shortcut" style="background-color: <?php echo $estados_ventas[$v['id_estado_venta']]['fondo'];?>; color: <?php echo $estados_ventas[$v['id_estado_venta']]['color'];?>;">
					<li><span class="estado-actual"><?php echo $estados_ventas[$v['id_estado_venta']]['nombre']; ?></span>
						<ul data-id="<?php echo $v['id']; ?>">
							<?php
							foreach($estados_ventas as $e){
								if (!in_array($e['id'], [0, 8] )) {
								echo '<li class="badge badge-pill change-state" data-id-estado="'.$e['id'].'" style="background-color: '.$e['fondo'].'; color: '.$e['color'].';">'.$e['nombre'].'</li>';
								}
							}
							?>
						</ul>
					</li>
				</ul>
				<?php
					if ($v['id_tipo_venta'] == 1) {
						if (!empty($v['boleta_lista'])) {
							$badgeBoleta = 'badge-success';
						}
						else if (empty($v['boleta'])) {
							$badgeBoleta = 'badge-danger';
						}
						else {
							$badgeBoleta = 'badge-warning';
						}

						?>
						<span class="boleta badge badge-pill <?php echo $badgeBoleta ?>">
							<?php echo ($tipos_documentos_abr[$v['id_tipo_documento']] ?? '-') . ' #' . $v['boleta']; ?>
						</span>
						<?php 
						//Si cumple con todo lo necesario aparece un sobre para enviar email con boleta
						echo '<span class="send-invoice" data-toggle="modal" data-target="#modalBoleta" data-id="'. $v['id'] .'">';
						if ($v['id_tipo_documento'] == 5 && $v['boleta'] > 0 && $v['boleta_lista'] == 0 && $v['cliente_email'] != '' && $v['link_boleta'] != '') {
							echo '<i class="fas fa-envelope"></i>';
						}
						echo '</span>';
						//Si cumple con todo lo necesario aparece un sobre para enviar email con boleta

						if ($v['id_canal'] == 1) {
							$surveyStyle = 'display: none;';
							if ($v['id_tipo_documento'] == 5 && $v['id_estado_venta'] == 5 && ym($v['fecha_encuesta']) == '' && $v['cliente_email'] != '') {
								$surveyStyle = '';
							}
							echo '<span style="'.$surveyStyle.'" class="send-form" data-toggle="modal" data-target="#modalEncuesta" data-id="'. $v['id'] .'">';
							echo '<i class="fas fa-file-contract"></i>';
							echo '</span>';
						}
					}
					else {
						$tipos = [3 => 'Nota de Crédito', 4 => 'Merma', 6 => 'Abono'];
						$tipo = $tipos[$v['id_tipo_venta']];
					?>
						<span class="boleta badge badge-pill badge-primary"><?php echo $tipo;?></span>
					<?php
						if ($v['boleta']) {
							?>
							<span class="boleta badge badge-pill badge-success">
								#<?php echo $v['boleta']; ?>
							</span>
						<?php
						}
					}
				?>
			<button type="button" class="btn btn-primary btn-xs d-none d-md-inline" data-toggle="modal" data-target="#modalVenta" data-id="<?php echo $v['id']; ?>">
				<i class="fas fa-pencil-alt"></i>
			</button>
		</div>
	</div>
	<div class="row">
		<div class="col-7 col-sm-8  col-lg-10 detalle-productos">
			<div class="info-destacada"><strong><?php echo $v['info_destacada']; ?></strong></div>
			<div>
				<?php
					if (!in_array($v['id_estado_venta'], [4, 5])) {
						/* Se deja de usar
						?>
						<a href="/ventas/labels/<?php echo $v['id']; ?>" target="_blank" class="btn btn-dark btn-xs"><i class="fas fa-print"></i></a>
						<?php
						*/
					}
					/*
					$productos_ventas = json_decode($v['detalle'], true);
					$coma = '';
					echo '<span class="detalle">';
					if(!empty($productos_ventas)) {

						foreach($productos_ventas as $key => $qty) {
							$link = '<a href="/productos/detalle/'.$key.'" target="_blank">';
							if ($qty > 1) {
								echo $coma . $link . '<span class="badge badge-pill badge-primary">'. $qty . '</span> ' . $productos[$key];
							}
							else {
								echo $coma . $link . $productos[$key];
							}
							echo '</a>';
							$coma = '<br>';
						}
					}
					echo '</span>';
					*/
					echo '<span class="detalle">';
					$coma = '';
					if (!empty($v['productos'])) {
						foreach ($v['productos'] as $p) {
							$link = '<a href="/productos/detalle/'.$p['id'].'" target="_blank">';
							if ($p['cantidad'] > 1) {
								// Badge normal azul sólido
								echo $coma . $link . '<span class="badge badge-pill badge-primary">'. $p['cantidad'] . '</span> ' . $p['nombre'];
							} else {
								// Badge con borde azul y texto azul, sin fondo
								echo $coma . $link . '<span class="badge badge-pill" style="color:#0d6efd; border:1px solid #0d6efd; background-color:transparent;">1</span> ' . $p['nombre'];
							}
							echo '</a>';
							$coma = '<br>';
						}
					}
					echo '</span>';


				?>
			</div>
		</div>
		<div class="col-5 col-sm-4 col-lg-2 text-right total">
			<a href="/ventas/ticket_cambio/<?php echo $v['id']; ?>" target="_blank" class="btn btn-info btn-xs tt" title="Ticket de cambio"><i class="fas fa-print"></i></a>
			<?php
			if ($v['id_medio_pago'] > 0) { ?>
			<span class="medio-pago badge badge-pill" style="border-color: <?php echo $medios_pagos[$v['id_medio_pago']]['color'];?>; color: <?php echo $medios_pagos[$v['id_medio_pago']]['color'];?>;">
						<?php echo $medios_pagos[$v['id_medio_pago']]['alias']; ?>
			</span>

			<?php 
			}
			if ($v['adeudado'] > 0) { ?>
				<span class="text-danger">
					<?php echo clp($v['adeudado']); ?>
				</span> | 
				<?php
			}
			?>
			<?php echo clp($v['total']); ?>
		</div>
	</div>
	
</div>